package com.ff.base.enums;

import lombok.Getter;

/**
 * 任务绑定类型
 *
 * @author shang
 */
@Getter
public enum TaskBindType {
    TaskBindType_0(0,  "注册账号"),
    TaskBindType_1(1,  "首次绑定银行卡"),
    TaskBindType_2(2,  "设置生日"),
    TaskBindType_3(3,  "设置取款密码"),
    TaskBindType_4(4,  "设置密保"),
    TaskBindType_5(5,  "利息宝首存"),
    TaskBindType_6(6,  "设置头像"),
    TaskBindType_7(7,  "短信验证"),
    TaskBindType_8(8,  "设置Google验证器"),
    TaskBindType_9(9,  "注册首存"),
    TaskBindType_10(10,  "首次下载安装并登录APP"),
    TaskBindType_11(11,  "邮箱验证"),
    TaskBindType_12(12,  "保存桌面快捷方式"),
    TaskBindType_13(13,  "首次绑定数字货币"),
    TaskBindType_14(14,  "添加提现账户"),
    TaskBindType_15(15,  "首次提现"),
    TaskBindType_16(16,  "设置任意联系方式");


    private final Integer type;
    private final String info;

    TaskBindType(Integer type, String info)
    {
        this.type = type;
        this.info = info;
    }

    public static TaskBindType getTaskBindTypeByType(Integer type)
    {
        for (TaskBindType item : TaskBindType.values()) {
            if(item.getType().equals(type)) {
                return item;
            }
        }
        return null;
    }
}
